Bug 578032

Summary: lang-specific overrides rule doesn't work as expected
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: lohit-kannada-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fonts-bugs, i18n-bugs, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: lohit-kannada-fonts-2.4.5-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586857 (view as bug list) Environment:
Last Closed: 2010-04-25 09:46:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 578015    
Bug Blocks: 507684, 586857    

Description Akira TAGOH 2010-03-29 23:44:24 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 66-lohit-kannada.conf
Comment 1 Fedora Update System 2010-04-16 11:22:45 EDT
lohit-kannada-fonts-2.4.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-2.fc13
Comment 2 Pravin Satpute 2010-04-16 11:42:03 EDT
fixed in lohit-kannada-fonts-2.4.5-2.fc14
Comment 3 Fedora Update System 2010-04-20 09:28:59 EDT
lohit-kannada-fonts-2.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lohit-kannada-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-2.fc13
Comment 4 Akira TAGOH 2010-04-22 03:20:30 EDT
Testing result:
# rpm -q lohit-kannada-fonts
lohit-kannada-fonts-2.4.5-2.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=kn
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"
# fc-match monospace:lang=kn-in
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"
# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=kn
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"
# fc-match serif:lang=kn-in
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"

Though no rules for monospace nor serif is described in lohit-kannada-fonts, it just works so far. please note that this result may be changed once any fonts started providing Kannada support.

# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=kn
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"
# fc-match sans:lang=kn-in
Lohit-Kannada.ttf: "Lohit Kannada" "Regular"

That looks good.

# for i in $(ls /usr/share/locale|grep -v kn); do fc-match sans:lang=$i|grep "Lohit Kannada"; [ $? = 0 ] && echo $i; done
#

No further affects on this font. so confirmed that the updated package works fine.
Comment 5 Fedora Update System 2010-04-25 09:46:23 EDT
lohit-kannada-fonts-2.4.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.